Subject: Re: [Anima] review comments draft-ietf-anima-stable-connectivity-03-rev Med.doc

From: Toerless Eckert <[email-masked]>
Date: Thu, 27 Jul 2017 20:51:50 +0200

Thanks a lot, Mohamed for the thorough review!

I pushed -04 of the draft out with your changes incorporated. IMHO it's all great textual improvements but no logical changes, aka: should be fine for prior reviewers.

Diff:

http://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=https://tools.ietf.org/id/draft-ietf-anima-stable-connectivity-03.txt&url2=https://www.ietf.org/id/draft-ietf-anima-stable-connectivity-04.txt

Your original review doc:

https://github.com/anima-wg/autonomic-control-plane/blob/master/draft-ietf-anima-stable-connectivity/03-review-mohamed.boucadair.doc

My reply comments:

https://github.com/anima-wg/autonomic-control-plane/blob/master/draft-ietf-anima-stable-connectivity/03-review-mohamed.boucadair-reply.txt

While incorporating your review, i also figured that it would be good if ACP connect
would allow auto-configuration of NMS hosts, so i added a paragraph to mandate RFC4191,
but i didn't rev ACP draft just for that yet, so here's just diff on github for that;

http://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=https://tools.ietf.org/id/draft-ietf-anima-autonomic-control-plane-08.txt&url2=https://raw.githubusercontent.com/anima-wg/autonomic-control-plane/af74117400b6a5a7fca1acf2ab910d64a580a5c9/draft-ietf-anima-autonomic-control-plane/draft-ietf-anima-autonomic-control-plane.txt

Cheers
    Toerless

On Mon, Jul 24, 2017 at 05:49:07AM +0000, [email-masked] wrote:
> Dear Toreless, 
> 
> I'm resending this document as I didn't receive an ACK from your side. 
> 
> Please consider those as part of the WGLC comments. 
> 
> Cheers,
> Med
> 
> > -----Message d'origine-----
> > De : BOUCADAIR Mohamed IMT/OLN
> > Envoyé : vendredi 7 juillet 2017 14:58
> > À : [email-masked]'
> > Objet : Envoi d?un message : draft-ietf-anima-stable-connectivity-03-rev
> > Med.doc
> > 
> > Dear Toreless,
> > 
> > Please find some comments about this draft.
> > 
> > Cheers,
> > Med

---

From: <[email-masked]>
Date: Fri, 28 Jul 2017 12:02:25 +0000

Hi Toerless, 

The new version looks much more better. Thanks. 

Some comments about these two minor point:

- "IPv4 to IPv6 NAT can be used." - Do you mean RFC7915
  I intentionally did not want to elaborate on the details of which of the 15? different
  NAT options can be used best. When i worked on this, i got a working setup with NAT-PT and i think
  also NAT64 statefull (RFC6146). This was mostly driven by whatever old router OS versions
  where available.Also your note re. rfc7757. The main issue is that the stateless translations would
  require matching address structures in he ACP, and i certainly would not want to fudge the ACP design
  to support NAT better. Rather use some horrific NAT option. That should even accelerate pushing IPv6
  into NOC/OAM equipment. 

  So, i didn't add any pointers to those RFCs you mentioned. I think its good if this is
  left as an exercise to the reader ;-)

Med: Fair. Please change "IPv4 to IPv6 NAT can be used" to "IPv4 to IPv6 translation can be used" because it is more than "Address" translation. 

- "I'm afraid NoO " - i did not get that.

Med: This was related to this part of your text: 

==
   Overall, the use of NAT is especially subject to the RoI (Return of
   Investment) considerations,  
========

The reasoning about NAT and RoI may seem to be intuitive, but I'm afraid it does not reflect the deployment reality. The use of NAT may even come for free or be a function of the traffic and so on.

I would delete the mention of RoI. 

Cheers,
Med

> De : Toerless Eckert [mailto:[email-masked]]
> Envoyé : jeudi 27 juillet 2017 20:52
> À : BOUCADAIR Mohamed IMT/OLN
> Cc : [email-masked]; [email-masked]
> Objet : Re: review comments draft-ietf-anima-stable-connectivity-03-rev
> Med.doc
> 
> I pushed -04 of the draft out with your changes incorporated. IMHO it's
> all great textual improvements but no logical changes, aka: should be fine
> for prior reviewers.
> 
> Diff:
> 
> http://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=https://tools.ietf.o
> rg/id/draft-ietf-anima-stable-connectivity-
> 03.txt&url2=https://www.ietf.org/id/draft-ietf-anima-stable-connectivity-
> 04.txt
> 
> https://github.com/anima-wg/autonomic-control-plane/blob/master/draft-
> ietf-anima-stable-connectivity/03-review-mohamed.boucadair.doc
> 
> My reply comments:
> 
> https://github.com/anima-wg/autonomic-control-plane/blob/master/draft-
> ietf-anima-stable-connectivity/03-review-mohamed.boucadair-reply.txt
> 
> http://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=https://tools.ietf.o
> rg/id/draft-ietf-anima-autonomic-control-plane-
> 08.txt&url2=https://raw.githubusercontent.com/anima-wg/autonomic-control-
> plane/af74117400b6a5a7fca1acf2ab910d64a580a5c9/draft-ietf-anima-autonomic-
> control-plane/draft-ietf-anima-autonomic-control-plane.txt
> 
> Cheers
>     Toerless
>